<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'backup', language 'en_us_k12', version '3.5'.
 *
 * @package     backup
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['automatedmaxkepthelp'] = 'This specifies the maximum number of recent automated backups to be kept for each class. Older backups will be deleted automatically.';
$string['automatedminkepthelp'] = 'If backups older than a specified number of days are deleted, it can happen that an inactive class ends up with no backup. To prevent this, a minimum number of backups kept should be specified.';
$string['backupcourse'] = 'Backup class: {$a}';
$string['backupcoursedetails'] = 'Class details';
$string['backupcoursesections'] = 'Class sections';
$string['backupsection'] = 'Backup class section: {$a}';
$string['backuptypecourse'] = 'Class';
$string['choosefilefromcoursebackup'] = 'Class backup area';
$string['choosefilefromcoursebackup_help'] = 'Class backups made using default settings are stored here.';
$string['confirmnewcoursecontinue'] = 'New class warning';
$string['confirmnewcoursecontinuequestion'] = 'A temporary (hidden) class will be created by the class restoration process. To abort restoration click cancel. Do not close the browser while restoring.';
$string['coursecategory'] = 'Category the class will be restored into';
$string['coursesettings'] = 'Class settings';
$string['error_block_for_module_not_found'] = 'Orphan block instance (id: {$a->bid}) for class module (id: {$a->mid}) found. This block will not be backed up';
$string['error_course_module_not_found'] = 'Orphan class module (id: {$a}) found. This module will not be backed up.';
$string['importcurrentstage0'] = 'Class selection';
$string['importgeneralmaxresults'] = 'Maximum number of classes listed for import';
$string['importgeneralmaxresults_desc'] = 'This controls the number of classes that are listed during the first step of the import process';
$string['importsuccess'] = 'Import complete. Click continue to return to the class.';
$string['morecoursesearchresults'] = 'More than {$a} classes found, showing first {$a} results';
$string['nomatchingcourses'] = 'There are no classes to display';
$string['norestoreoptions'] = 'There are no categories or existing classes you can restore to.';
$string['qcategory2coursefallback'] = 'The questions category \\"{$a->name}\\", originally at system/class category context in backup file, will be created at class context by restore';
$string['question2coursefallback'] = 'The questions category \\"{$a->name}\\", originally at system/class category context in backup file, will be created at class context by restore';
$string['restorecourse'] = 'Restore class';
$string['restorecoursesettings'] = 'Class settings';
$string['restoreexecutionsuccess'] = 'The class was restored successfully, clicking the continue button below will take you to view the class you restored.';
$string['restorenewcoursefullname'] = 'New class name';
$string['restorenewcourseshortname'] = 'New class short name';
$string['restoretocourse'] = 'Restore to class:';
$string['restoretocurrentcourse'] = 'Restore into this class';
$string['restoretocurrentcourseadding'] = 'Merge the backup class into this class';
$string['restoretocurrentcoursedeleting'] = 'Delete the contents of this class and then restore';
$string['restoretoexistingcourse'] = 'Restore into an existing class';
$string['restoretoexistingcourseadding'] = 'Merge the backup class into the existing class';
$string['restoretoexistingcoursedeleting'] = 'Delete the contents of the existing class and then restore';
$string['restoretonewcourse'] = 'Restore as a new class';
$string['restoringcourse'] = 'Class restoration in progress';
$string['rootsettinglogs'] = 'Include class logs';
$string['selectacourse'] = 'Select a class';
$string['setting_course_fullname'] = 'Class name';
$string['setting_course_shortname'] = 'Class short name';
$string['setting_course_startdate'] = 'Class start date';
$string['skiphidden'] = 'Skip hidden classes';
$string['skiphiddenhelp'] = 'Choose whether or not to skip hidden classes';
$string['skipmodifdays'] = 'Skip classes not modified since';
$string['skipmodifdayshelp'] = 'Choose to skip classes that have not been modified since a number of days';
$string['skipmodifprev'] = 'Skip classes not modified since previous backup';
$string['skipmodifprevhelp'] = 'Choose whether to skip classes that have not been modified since the last automatic backup. This requires logging to be enabled.';
$string['storagecourseandexternal'] = 'Class backup filearea and the specified directory';
$string['storagecourseonly'] = 'Class backup filearea';
$string['totalcoursesearchresults'] = 'Total classes: {$a}';
