<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'block_xp', language 'en_us_k12', version '3.5'.
 *
 * @package     block_xp
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['courselog'] = 'Class log';
$string['coursereport'] = 'Class report';
$string['courserules'] = 'Class rules';
$string['coursesettings'] = 'Class settings';
$string['coursevisuals'] = 'Class visuals';
$string['enablexpgain_help'] = 'When set to \'No\', nobody will earn experience points in the class. This is useful to freeze the experience gained, or to enable it at a certain point in time.

Please note that this can also be controlled more granularly using the capability \'block/xp:earnxp\'.';
$string['incourses'] = 'In classes';
$string['participatetolevelup'] = 'Participate in the class to gain experience points and level up!';
$string['reallyresetdata'] = 'Really reset the levels and experience points of everyone in this class?';
$string['resetcoursedata'] = 'Reset class data';
$string['rulesformhelp'] = '<p>This plugin is making use of the events to attribute experience points to actions performed by the students. You can use the form below to add your own rules and view the default ones.</p>
<p>It is advised to check the plugin\'s <a href=\\"{$a->log}\\">log</a> to identify what events are triggered as you perform actions in the class, and also to read more about events themselves: <a href=\\"{$a->list}\\">list of all events</a>, <a href=\\"{$a->doc}\\">developer documentation</a>.</p>
<p>Finally, please note that the plugin always ignores:
<ul>
    <li>The actions performed by administrators, guests or non-logged in users.</li>
    <li>The actions performed by users not having the capability <em>block/xp:earnxp</em>.</li>
    <li>Repeated actions within a short time interval, to prevent cheating.</li>
    <li>Events that are flagged as <em>anonymous</em>, e.g. in an anonymous Feedback.</li>
    <li>And the events of educational level not equal to <em>Participating</em>.</li>
</ul>
</p>';
$string['wherearexpused_desc'] = 'When set to \'In classes\', the experience points gained will only account for the class in which the block was added to. When set to \'For the whole site\', a user will \\"level up\\" in the site rather than selectively per class, all the experience gained throughout the site will be used.';
