<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'feedback', language 'en_us_k12', version '3.5'.
 *
 * @package     feedback
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['cannotaccess'] = 'You can only access this feedback from a class';
$string['courseid'] = 'classid';
$string['drop_feedback'] = 'Remove from this class';
$string['feedback:mapcourse'] = 'Map classes to global feedbacks';
$string['filter_by_course'] = 'Filter by class';
$string['mapcourse'] = 'Map feedback to classes';
$string['mapcourse_help'] = 'By default, feedback forms created on your homepage are available site-wide
and will appear in all classes using the feedback block. You can force the feedback form to appear by making it a sticky block or limit the classes in which a feedback form will appear by mapping it to specific classes.';
$string['mapcourseinfo'] = 'This is a site-wide feedback that is available to all classes using the feedback block. You can however limit the classes to which it will appear by mapping them. Search the class and map it to this feedback.';
$string['mapcoursenone'] = 'No classes mapped. Feedback available to all classes';
$string['mapcourses'] = 'Map feedback to classes';
$string['mappedcourses'] = 'Mapped classes';
$string['mappingchanged'] = 'Class mapping has been changed';
$string['modulename_help'] = 'The feedback activity module enables a teacher to create a custom survey for collecting feedback from participants using a variety of question types including multiple choice, yes/no or text input.

Feedback responses may be anonymous if desired, and results may be shown to all participants or restricted to teachers only. Any feedback activities on the site front page may also be completed by non-logged-in users.

Feedback activities may be used

* For class evaluations, helping improve the content for later participants
* To enable participants to sign up for class modules, events etc.
* For guest surveys of class choices, school policies etc.
* For anti-bullying surveys in which students can report incidents anonymously';
$string['search_course'] = 'Search class';
$string['searchcourses'] = 'Search classes';
$string['searchcourses_help'] = 'Search for the code or name of the class(s) that you wish to associate with this feedback.';
$string['sort_by_course'] = 'Sort by class';
$string['url_for_continue_help'] = 'After submitting the feedback, a continue button is displayed, which links to the class page. Alternatively, it may link to the next activity if the URL of the activity is entered here.';
